SearchAdvanced |WebMethod|
Search for items with advanced parameters. Possible errors: "OrderByValidationError" - use of non-existing order by (OrderBy). "ItemTypeValidationError" - use of non-existing item type (ItemType). "SellerTypeValidationError" - use of non-existing seller type (SellerType). "ModeValidationError" - use of non-existing mode (Mode). "ItemStatusValidationError" - use of non-existing item status (ItemStatus). "ItemConditionValidationError" - use of non-existing item condition (ItemCondition). "SearchStringValidationError" - when searching for invalid search words. "InternalError" - internal error.
- request, The SearchAdvancedRequest with search parameters.
Filled SearchResult object
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/SearchService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/SearchAdvanced" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <SearchAdvanced xmlns="http://api.tradera.com"> <request>request</request> </SearchAdvanced> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <SearchAdvancedResponse xmlns="http://api.tradera.com"> <SearchAdvancedResult>Filled SearchResult object</SearchAdvancedResult> </SearchAdvancedResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/SearchService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <SearchAdvanced xmlns="http://api.tradera.com"> <request>request</request> </SearchAdvanced> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <SearchAdvancedResponse xmlns="http://api.tradera.com"> <SearchAdvancedResult>Filled SearchResult object</SearchAdvancedResult> </SearchAdvancedResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/SearchService.asmx/SearchAdvanced?appId=string&appKey=string&request=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <SearchAdvancedResult xmlns="http://api.tradera.com">Filled SearchResult object</SearchAdvancedResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/SearchService.asmx/SearchAdvanced HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&request=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <SearchAdvancedResult xmlns="http://api.tradera.com">Filled SearchResult object</SearchAdvancedResult>